#include <bits/stdc++.h>
#define r a[n].first
#define c a[n].second
using namespace std;
int main()
{
    int n;
    scanf("%d",&n);
    pair<int,int> a[n];
    int x[n]={0};
    int y[n]={0};
    int razlikaX=0,razlikaY=0;
    for(int i=0;i<n;i++)
    {
        scanf("%d%d",&r,&c);
        r--;
        c--;
        x[r]++;
        y[c]++;
    }
    for(int i=0;i<n;i++)
    {
        if(x[i]>1)razlikaX+=x[i]-1;
        if(y[i]>1)razlikaY+=y[i]-1;
    }
    printf("%d",razlikaX+razlikaY);
}